summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory A. Pratt <anarchy@gentoo.org>2013-08-05 13:55:03 -0500
committerJory A. Pratt <anarchy@gentoo.org>2013-08-05 13:55:03 -0500
commit0ead12ea133d46b2aa04afd51e0a66eab86a62a9 (patch)
treeb0f022adaa7168a470e16a25e1e070ca3ebe8ae8
parentAdd pcre support for static libselinux undefines (diff)
downloadanarchy-0ead12ea133d46b2aa04afd51e0a66eab86a62a9.tar.gz
anarchy-0ead12ea133d46b2aa04afd51e0a66eab86a62a9.tar.bz2
anarchy-0ead12ea133d46b2aa04afd51e0a66eab86a62a9.zip
Sync with master tree
-rw-r--r--sys-fs/lvm2/Manifest2
-rw-r--r--sys-fs/lvm2/lvm2-2.02.99-r1.ebuild (renamed from sys-fs/lvm2/lvm2-2.02.99.ebuild)21
2 files changed, 16 insertions, 7 deletions
diff --git a/sys-fs/lvm2/Manifest b/sys-fs/lvm2/Manifest
index bef7978..28fb0a8 100644
--- a/sys-fs/lvm2/Manifest
+++ b/sys-fs/lvm2/Manifest
@@ -20,4 +20,4 @@ AUX lvm2-2.02.99-example.conf.in.patch 1489 SHA256 55273a2bc6df33057f4efdd947b75
AUX lvm2-2.02.99-locale-muck.patch 395 SHA256 14e7c65fd9aa71b7f09cc1aecfaccb3048dbb09dd4eb4c342556708aa6adba77 SHA512 4014abbaeb1106dbaa360e2573340651adc0cccc6c0c05cc57695e74e7a3d0b5a73e2b72242bab0d0a10c2506a7c30c2a4de0275c0f81a14dfb068ec91492497 WHIRLPOOL 3383e94ca4dbaefd2c628d3a95b17a14602481c98425caf48f490185289eb3f1af2ef234ff5b5c431ea4624edd8e48764252bdf5b7159ab3bbbad699c3f936ab
AUX lvm2-2.02.99-selinux.patch 4695 SHA256 62571ea45660dc518b36128d929927a7bdd0476c6ecb1ab091807e5fbd091287 SHA512 94d6e29147d9c258f5cf00245b6b341ac301a0da1c0388c363f2dbb59eef69ab6bd4e6213b1fbcd749861d71a78d4f4ac2b4295074efc259bb9586d746ec1349 WHIRLPOOL c752bf942b9edc0ea43d5a0ae1394f8f037dbb74ce299dae0bff7f011e6182dbfe35131bd4496793cd1d55711837599f9ea448265e22523963acc0088fb5b253
DIST LVM2.2.02.99.tgz 1317810 SHA256 493c9ad85bada036418671072355b2fc57fc30eb5a63fd14a7dfe8ed28dca040 SHA512 665c8be867b44a258e37e12f2202352dfe0d4b7a5018e041ef01ce53d59b88dd96195943f12bd6915ebadbc605340de138bb2268527fd830d35deb4d43ab561b WHIRLPOOL 13fbb82cada1b8c08c881070ce5400517e44b287402ff1e5637ba4b684b4af22a3c7197a0a004d4a43f3584ae257307bb3734e9f3152733368e39a1b7f8c9d89
-EBUILD lvm2-2.02.99.ebuild 7751 SHA256 13efa26a3e2f493ec4251cd5644203bbda5b91d091cc5fa2dd7f063dfd657b1a SHA512 848a3637dc23214bc6cbbde6ac429e0f3aa805f4888ca6ebbc5d6e352f4f8d6da4291cdc2d2e73718a2fc52ff7e9831e66ff36a211af07573a606457542d3a3d WHIRLPOOL 5f0a5193727cac3ff99c51de3bd4187b942ec4870d296a7999253aa95e51a5f5127e93158ab96e6d99a0751046032ee4afe09a9dd0c95a9a47c2fa538e6d3310
+EBUILD lvm2-2.02.99-r1.ebuild 8097 SHA256 12fd437552a00b723c2907ffb9dab03c30126e70b97af679c1ef67a7a7ada0b1 SHA512 2765b3e8957004d93c785063cdeccce878d587928571a04092ffe4a539028be852deb164a5665bea42072e1fff675ebcdc08f4d2183aa31de8618296709f9d09 WHIRLPOOL afd6d1d97df51aaedf34037e4fe59b80bf50c1be35fd48f5b14e706965bbfeb5a6b0479c2a5fbf852122ed5cadf7610193612c17b837648e87f5471afe5743c3
diff --git a/sys-fs/lvm2/lvm2-2.02.99.ebuild b/sys-fs/lvm2/lvm2-2.02.99-r1.ebuild
index 5e4fc23..6507299 100644
--- a/sys-fs/lvm2/lvm2-2.02.99.ebuild
+++ b/sys-fs/lvm2/lvm2-2.02.99-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/lvm2/lvm2-2.02.99.ebuild,v 1.5 2013/08/02 15:53:33 ssuominen Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/lvm2/lvm2-2.02.99-r1.ebuild,v 1.1 2013/08/04 21:05:20 ssuominen Exp $
EAPI=5
inherit eutils multilib toolchain-funcs autotools linux-info udev systemd
@@ -14,7 +14,7 @@ LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
-IUSE="readline static static-libs clvm cman +lvm1 selinux +udev +thin"
+IUSE="readline static static-libs clvm cman +lvm1 lvm2create_initrd selinux +udev +thin"
DEPEND_COMMON="clvm? ( cman? ( =sys-cluster/cman-3* ) =sys-cluster/libdlm-3* )
readline? ( sys-libs/readline )
@@ -27,6 +27,7 @@ RDEPEND="${DEPEND_COMMON}
!!sys-fs/lvm-user
!!sys-fs/clvm
>=sys-apps/util-linux-2.16
+ lvm2create_initrd? ( sys-apps/makedev )
thin? ( sys-block/thin-provisioning-tools )"
# Upgrading to this LVM will break older cryptsetup
RDEPEND="${RDEPEND}
@@ -66,7 +67,9 @@ src_prepare() {
epatch "${FILESDIR}"/${PN}-2.02.70-asneeded.patch # -Wl,--as-needed
epatch "${FILESDIR}"/${PN}-2.02.92-dynamic-static-ldflags.patch #332905
epatch "${FILESDIR}"/${PN}-2.02.97-udev-static.patch #370217
- epatch "${FILESDIR}"/${PN}-2.02.99-selinux.patch #439414
+ epatch "${FILESDIR}"/${PN}-2.02.99-selinux.patch
+
+ sed -i -e 's:/usr/sbin/lvm:/sbin/lvm:' scripts/lvm2_activation_generator_systemd_red_hat.c || die #479626
# Fix calling AR directly with USE static, bug #444082, convert to patch and forward to upstream
if use static ; then
@@ -153,6 +156,7 @@ src_configure() {
--with-staticdir="${EPREFIX}/sbin" \
--libdir="${EPREFIX}/$(get_libdir)" \
--with-usrlibdir="${EPREFIX}/usr/$(get_libdir)" \
+ --with-default-dm-run-dir=/run \
--with-default-run-dir=/run/lvm \
--with-default-locking-dir=/run/lock/lvm \
--with-dmeventd-path=/sbin/dmeventd \
@@ -196,9 +200,11 @@ src_install() {
#gen_usr_ldscript libdevmapper.so
fi
- dosbin "${S}"/scripts/lvm2create_initrd/lvm2create_initrd
- doman "${S}"/scripts/lvm2create_initrd/lvm2create_initrd.8
- newdoc "${S}"/scripts/lvm2create_initrd/README README.lvm2create_initrd
+ if use lvm2create_initrd; then
+ dosbin "${S}"/scripts/lvm2create_initrd/lvm2create_initrd
+ doman "${S}"/scripts/lvm2create_initrd/lvm2create_initrd.8
+ newdoc "${S}"/scripts/lvm2create_initrd/README README.lvm2create_initrd
+ fi
insinto /etc
doins "${FILESDIR}"/dmtab
@@ -216,6 +222,9 @@ src_install() {
use static-libs || \
rm -f "${D}"/usr/$(get_libdir)/{libdevmapper-event,liblvm2cmd,liblvm2app,libdevmapper}.a
+ #insinto /etc/udev/rules.d/
+ #newins "${FILESDIR}"/64-device-mapper.rules-2.02.56-r3 64-device-mapper.rules
+
# do not rely on /lib -> /libXX link
sed -i \
-e "s|/lib/rcscripts/|/$(get_libdir)/rcscripts/|" \